Amazon MQ for RabbitMQ web access when Public accessibility set as No

0

Hi everyone,

I just created a broker (RabbitMQ) and here are my details:

  • Broker status: Running
  • Broker engine: RabbitMQ
  • Deployment mode: Single-instance broker
  • Broker engine version: 3.8.6
  • Public accessibility: No

Additionally, my Security group settings (Inbound rules) are the following:

  • All traffic, All, All, 0.0.0.0/0 (I'll set IP later)

However, when I click on the link - it doesn't work. It works when I create a new broker with Public accessibility as Yes. Anyway, I don't want that. I'd prefer setting as 'No' with SG settings.

Does anyone know what could be wrong here? I'd like to have web app access too.

p.s. in VPC I have:

  • DNS hostnames: Enabled
  • DNS resolution: Enabled

Thanks!

Edited by: Nedim on Dec 15, 2020 3:39 PM

Nedim
gefragt vor 3 Jahren2023 Aufrufe
5 Antworten
0
Akzeptierte Antwort

I am not 100% certain this is the same for RabbitMQ. But I suspect you would need a similar setup as the one described for ActiveMQ here: https://docs.aws.amazon.com/amazon-mq/latest/developer-guide/accessing-web-console-of-broker-without-private-accessibility.html

AWS
AWs-JDE
beantwortet vor 3 Jahren
0

Yes, I found something similar in the meantime. Hopefully someone can confirm 100%. Thank you.

Nedim
beantwortet vor 3 Jahren
0

Hi - confirming the guidance in the doc listed also applies to RabbitMQ.

beantwortet vor 3 Jahren
0

AWSJamieK wrote:
Hi - confirming the guidance in the doc listed also applies to RabbitMQ.
Thanks!

Just a quick question: Does Amazon MQ supports AMQP 0-9-1 protocol. Seems there is lack of PHP libraries that support AMQP 1.0.

I'm not able to connect to Amazon MQ. It says:

Exception 'PhpAmqpLib\Exception\AMQPConnectionClosedException' with message 'Broken pipe or closed connection' in /var/www/html/vendor/php-amqplib/php-amqplib/PhpAmqpLib/Wire/IO/StreamIO.php:171

I assume it is related to AMQP 1.0.

Nedim
beantwortet vor 3 Jahren
0

Hello - confirming that Amazon MQ for RabbitMQ supports the AMQP 0-9-1 protocol (not 1.0).

Does this answer your question?

beantwortet vor 3 Jahren

Du bist nicht angemeldet. Anmelden um eine Antwort zu veröffentlichen.

Eine gute Antwort beantwortet die Frage klar, gibt konstruktives Feedback und fördert die berufliche Weiterentwicklung des Fragenstellers.

Richtlinien für die Beantwortung von Fragen